Bug 1285232 - [RFE] subscription-manager should be limited to activation keys by default even if other product certs are available on host
[RFE] subscription-manager should be limited to activation keys by default ev...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys (Show other bugs)
6.1.4
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Automation, FutureFeature, Triaged
Depends On:
Blocks: 260381
  Show dependency treegraph
 
Reported: 2015-11-25 04:25 EST by Komal
Modified: 2016-09-08 08:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-08 08:04:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Komal 2015-11-25 04:29:08 EST
Hello,

Looking for enhancement in following behavior observed on host registered to satellite 6 via activation key.

When registering a host with an activation key we choose which products we would like to license with that activation key. However, if additional products are added to the host rhsmcertd will pull entitlements from all available rather than limiting scope to the activation key.

As of now to workaround this issue cu manually need to remove the extra product certs from host system under /etc/pki/product directory as auto attach pulls all subscriptions matching available product.

Can this be automated and fixed in satellite 6.1.4 so as to consume subscription only from corresponding activation key.

Regards,
Komal
Comment 3 Bryan Kearney 2015-12-10 17:01:14 EST
Clearing flags to make sure it gets triaged.
Comment 4 Mike McCune 2015-12-17 11:53:15 EST
Why not turn off the auto flag on the activation key and specify the subscriptions manually on the activation key?

This should limit what subscriptions the hosts consume and not have things change when rhsmcertd runs.
Comment 8 Bryan Kearney 2016-07-26 15:09:42 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.